body {
    background-color: #fff;
    color: #666;
    font-size: 12px;
    min-width: 1260px;
    font-family: "Microsoft YaHei", Arial, "Helvetica Neue", Helvetica, sans-serif;
}

.overhidden {
    overflow: hidden;
}

table {
    display: table;
    table-layout: fixed;
}

table tr {
    display: table-row;
}

table th,
table td {
    display: table-cell;
    word-break: normal;
    word-wrap: break-word;
    box-sizing: border-box;
}

ul {
    padding: 0;
}

.dropdown-menu {
    min-width: 100px;
    font-size: 12px;
}

/* 边距基础样式 */
.mgt3 {
    margin-top: 3px;
}

.mgt5 {
    margin-top: 5px;
}

.mgt8 {
    margin-top: 8px;
}

.mgl3 {
    margin-left: 3px;
}

.mgl20 {
    margin-left: 20px;
}

.mgr4 {
    margin-right: 4px;
}

.mgr10 {
    margin-right: 10px;
}

.mgr3 {
    margin-right: 3px;
}

.mgr15 {
    margin-right: 15px;
}

.mgr20 {
    margin-right: 20px;
}

.mgt10 {
    margin-top: 10px;
}

.mgt15 {
    margin-top: 15px;
}

.mgt20 {
    margin-top: 20px;
}

.mgb0 {
    margin-bottom: 0;
}

.mgb10 {
    margin-bottom: 10px;
}

.mgb15 {
    margin-bottom: 15px;
}

.mgb20 {
    margin-bottom: 20px;
}

.pdlr0 {
    padding-left: 0px;
    padding-right: 0;
}

.pdt7 {
    padding-top: 7px;
}

.pdl15 {
    padding-left: 15px;
}

.pdr15 {
    padding-right: 15px;
}

/* box边距 */
.box-mg20 {
    margin: 20px 0;
}

.box-mg30 {
    margin: 30px 0;
}

/* 宽度 */
.width85 {
    width: 85px;
}

.width100 {
    width: 100px;
}

.width110 {
    width: 110px;
}

.widthfull {
    width: 100%;
}

.widthHalf {
    width: 50%;
}

/* 字体 */
.font12 {
    font-size: 12px;
}

.font13 {
    font-size: 13px;
}

.font14 {
    font-size: 14px;
}

.font16 {
    font-size: 16px;
}

.font18 {
    font-size: 18px;
}

.font20 {
    font-size: 20px;
}

.font24 {
    font-size: 24px;
}

.fontWeight {
    font-weight: bold;
}

.fontNormal {
    font-weight: normal;
}

/* 文字方向 */
.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.vertical-middle {
    vertical-align: middle;
}

/* 动画 */
.animated {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.animated.infinite {
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}

.animated.hinge {
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
}

/* 渐显 */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fadeIn {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
}

/* 左侧淡入 */
@-webkit-keyframes fadeLeft {
    from {
        opacity: 0;
        -webkit-transform: translateX(20px);
    }

    to {
        opacity: 1;
        -webkit-transform: translateX(0);
    }
}

@keyframes fadeLeft {
    from {
        opacity: 0;
        -webkit-transform: translateX(20px);
    }

    to {
        opacity: 1;
        -webkit-transform: translateX(0);
    }
}

.fadeLeft {
    -webkit-animation-name: fadeLeft;
    animation-name: fadeLeft;
}

/* 弹窗 */
.modal-dialog {
    margin-top: 50px;
}

.modal-dialog .modal-content {
    box-shadow: 0 2 18 0 #000;
}

.modal-dialog .modal-content .modal-header {
    padding: 14px 16px;
    border-bottom: none;
    line-height: 39px;
    background-color: #16BAD8;
}

.modal-dialog .modal-content .modal-header .close {
    margin-top: -5px;
    color: #fff;
    opacity: 0.8;
    font-weight: 300;
    font-size: 24px;
}

.modal-dialog .modal-content .modal-body {
    padding: 40px 20px 25px;
    overflow-y: auto;
    overflow-x: hidden;
    /* max-height: calc(100vh - 230px); */
}

.modal-dialog .modal-content .modal-body .body {
    overflow: visible !important;
}

.modal-dialog .modal-content .modal-title {
    font-family: PingFangSC-Semibold;
    font-size: 16px;
    color: #FFFFFF;
    letter-spacing: 0;
    font-weight: 600;
}

.modal-dialog .modal-content .modal-footer {
    border-top: 1px solid #ccc;
    padding: 10px 15px;
    height: 50px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.modal-dialog .modal-content .modal-footer .errormsg {
    float: left;
    text-align: left;
    color: #f5222d;
}



/* 表单相关 */
.form-group {
    margin-bottom: 15px;
}

.form-group>label {
    font-weight: 400;
    color: #333;
}

.form-inline .form-group {
    margin-bottom: 20px;
}

.form-horizontal .form-group>label {
    /* min-width: 110px; */
    text-align: right;
    padding: 7px 11px 0;
    font-weight: 400;
    width: 150px;
    height: 32px;
    line-height: 1.2rem;
    word-wrap: break-word;
    word-break: break-all;
}

.dynamic-form .form-group>label {
    width: 25%;
    color: #686868;
}

.form-inline .checkbox label,
.form-inline .radio label {
    padding-left: 20px;
}

.form-inline .form-group .input-group .form-control {
    border-radius: 4px;
}

.form-cond {
    width: 85%;
    display: inline-block;
}

.form-cond .form-group>label {
    display: block;
    color: #686868;
    font-weight: 400;
    line-height: 1.4rem;
}

.form-cond .form-group .form-checked-label {
    display: inline-block;
}

.form-cond .form-group>.input-cond {
    width: 100%;
}

.form-group-text {
    margin-bottom: 20px;
    font-size: 14px;
    color: #686868;
    letter-spacing: 0;
}

.form-group-text label {
    font-weight: 400;
}

.input-select select {
    -webkit-appearance: none;
    padding-right: 24px;
}

.input-select {}

.input-select::after {
    content: '';
    position: absolute;
    right: 8px;
    bottom: 13px;
    z-index: 999;
    width: 10px;
    height: 5px;
    background: url('../img/icon/select.png') no-repeat;
    background-size: 100%;
}

.dynamic-field .input-select::after,.form-horizontal .input-select::after {
    right: 21px;
}

.btn-cond {
    width: 14%;
    display: inline-block;
    vertical-align: top;
    padding-top: 14px;
    line-height: 40px;
    /* line-height: 70px; */
    text-align: right;
}

.btn-cond button+button {
    margin-left: 6px;
}

.scaling-cond {
    height: 40px;
    line-height: 40px;
    text-align: center;
    position: relative;
}

.scaling-cond .scaling-line {
    position: absolute;
    width: 47%;
    height: 1px;
    background-color: #fff;
    border-top: none;
    border-bottom: 1px solid #f0f2f5;
}

.scaling-cond .line-left {
    left: 0;
    top: -4%;
}

.scaling-cond .line-right {
    right: 0;
    top: -4%;
}

.scaling-cond .caret-down,
.scaling-cond .caret-up {
    display: inline-block;
    width: 11px;
    height: 8px;
    background-repeat: no-repeat;
    background-image: url('../../assets/img/caret-down.png');
}

.scaling-cond .caret-up {
    background-image: url('../../assets/img/caret-up.png');
}


.form-inline .form-group .input-group .input-group-btn,
.form-inline .form-group .input-group .input-group-addon {
    width: 1%;
}

.form-inline .form-group .input-group .input-group-btn:first-child>select {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.form-inline .form-group .input-group .input-group-addon+input.form-control:last-child,
.form-inline .form-group .input-group .input-group-btn+input.form-control:last-child {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

/* 双列呈现 弹窗专用 */
/* form-doublecolumn 设置双列分布下label和input样式 */
.form-doublecolumn .form-group {
    margin-bottom: 20px;
}

/* label */
.form-doublecolumn .form-group .form-item-label {
    display: block;
    font-family: PingFangSC-Regular;
    font-size: 14px;
    color: #686868;
    letter-spacing: 0;
    line-height: 20px;
    font-weight: 400;
}

/* 输入框 */
.form-doublecolumn .form-group .input-group {
    width: 100%;
}

.form-group .input-group input {
    z-index: 10;
}

.form-group .input-group .input-group-btn button {
    border-left: 0;
    border-radius: 0 4px 4px 0;
}

.ngForm .form-group label {
    font-weight: normal;
    color: #333;
    font-size: 12px;
    vertical-align: top;
}

.form-group select::-ms-expand {
    color: #686868;
    background-color: #686868;
}

.form-group select::placeholder,
.form-group textarea::placeholder,
.form-group input::placeholder {
    color: #C0c0c0;
}

/* 含表格的表单 */
.form-table .table thead {
    background: #F7F7F7;
    vertical-align: middle;
}

.form-table .table thead>tr>th {
    padding: 10px 12px;
    font-family: PingFangSC-Regular;
    font-size: 14px;
    line-height: 20px;
    color: #333333;
    letter-spacing: 0;
    font-weight: 400;
}

.form-table .table tbody td .form-group {
    margin-bottom: 0;
}


.panel-title {
    font-size: 14px;
}

.group-ngselect .dropdown {
    position: static;
}

.group-ngselect .form-control {
    width: 100% !important;
}

.eda-validcomp {
    z-index: 20;
}


/* 自定义分页组件: */
.jumpPageDiv {
    width: 80px;
    display: inline-block;
}

.jumpPageDiv input {
    padding: 5px 10px !important;
}

.edatable {
    overflow: hidden;
    margin-top: 12px;
}

.operator-btn>a {
    margin: 0 5px;
}